Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class Container

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
          org.gradle.plugins.ide.eclipse.model.Container

    class Container
    extends AbstractClasspathEntry

Field Summary

Fields inherited from class AbstractClasspathEntry
COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE

Constructor Summary
`Container(Node node)`
`Container(String path)`

Method Summary
`String` | `getKind()`
`String` | `toString()`

Methods inherited from class AbstractClasspathEntry
addClasspathEntry, appendNode, equals, getNativeLibraryLocation, hashCode, normalizePath, setNativeLibraryLocation, toString, writeEntryAttributes

Constructor Detail

### Container

    Container(Node node)

### Container

    Container(String path)

Method Detail

### getKind

    String getKind()

### toString

    String toString()

Gradle API 1.10